export default async bot => {

  return [{
    name: "join",
    call: /^\!join .*/i,
    level: 100,
    clients: ["irc"],
    f: e => {
      if(e.self.me.nickname.toLowerCase() === e.args.shift().toLowerCase()) {
        const chans = e.args.filter(chan => chan.charAt(0) === "#");
        chans.map(e.join);
        e.reply(`joined channel${chans.length > 1 ? "s" : ""}: ${chans.join(", ")}`);
      }
    }
  }, {
    name: "part",
    call: /^\!part .*/i,
    level: 100,
    clients: ["irc"],
    f: e => {
      if(e.self.me.nickname.toLowerCase() === e.args.shift().toLowerCase()) {
        const chans = e.args.filter(chan => chan.charAt(0) === "#");
        chans.map(e.part);
        e.reply(`parted channel${chans.length > 1 ? "s" : ""}: ${chans.join(", ")}`);
      }
    }
  }, {
    name: "nick",
    call: /^\!nick .*/i,
    level: 100,
    clients: ["irc"],
    f: e => {
      if(e.self.me.nickname.toLowerCase() === e.args.shift().toLowerCase()) {
        e.write(`NICK ${e.args[0]}`);
        e._user.deli(e.self.me.nickname);
        e.whois(e.args[0]);
        e.reply(`changed nick to ${e.args[0]}`);
      }
    }
  }]
};
