export const conds = code => {
  let out = [];
  switch(code) {
    case 200: case 201: case 210: case 230: case 231: out = [ " _`/\"\".-.", "  ,\\_(   ).", "   /(___(__)", "    ⚡ʻ ʻ⚡ʻ ʻ ", "    ʻ ʻ ʻ ʻ"]; break; // ThunderyShowers
    case 202: case 211: case 212: case 221: case 232: out = [ "     .-.", "    (   ).", "   (___(__)", "  ‚ʻ⚡ʻ‚⚡‚ʻ", "  ‚ʻ‚ʻ⚡ʻ‚ʻ" ]; break; // ThunderyHeavyRain
    case 300: case 301: case 310: case 311: case 313: case 321: out = [ "     .-.", "    (   ).", "   (___(__)", "    ʻ ʻ ʻ ʻ", "   ʻ ʻ ʻ ʻ" ]; break; // LightRain
    case 302: case 312: case 314: out = [ "     .-.", "    (   ).", "   (___(__)", "  ‚ʻ‚ʻ‚ʻ‚ʻ", "  ‚ʻ‚ʻ‚ʻ‚ʻ" ]; break; // HeavyRain
    case 500: case 501: case 520: case 521: out = [ " _`/\"\".-.", "  ,\\_(   ).", "   /(___(__)", "     ʻ ʻ ʻ ʻ", "    ʻ ʻ ʻ ʻ" ]; break; // LightShowers
    case 502: case 503: case 504: case 522: case 531: out = [ " _`/\"\".-.", "  ,\\_(   ).", "   /(___(__)", "   ‚ʻ‚ʻ‚ʻ‚ʻ", "   ‚ʻ‚ʻ‚ʻ‚ʻ" ]; break; // HeavyShowers
    case 511: case 611: case 615: case 616: out = [ "     .-.", "    (   ).", "   (___(__)", "    ʻ * ʻ *", "   * ʻ * ʻ" ]; break; // LightSleet
    case 600: case 601: out = [ "     .-.", "    (   ).", "   (___(__)", "    *  *  *", "   *  *  *" ]; break; // LightSnow
    case 602: out = [ "     .-.", "    (   ).", "   (___(__)", "   * * * *", "  * * * * " ]; break; // HeavySnow
    case 612: out = [ " _`/\"\".-.", "  ,\\_(   ).", "   /(___(__)", "     ʻ * ʻ *", "    * ʻ * ʻ" ]; break; // LightSleetShowers
    case 620: case 621: out = [ " _`/\"\".-.", "  ,\\_(   ).", "   /(___(__)", "     *  *  *", "    *  *  *" ]; break; // LightSnowShowers
    case 622: out = [ " _`/\"\".-.", "  ,\\_(   ).", "   /(___(__)", "    * * * *", "   * * * *" ]; break; // HeavySnowShowers
    case 701: case 711: case 721: case 741: out = ["", " _ - _ - _ -", "  _ - _ - _ ", " _ - _ - _ -", ""]; break; // Fog
    case 800: out = [ "    \\   /", "     .-.", "  ‒ (   ) ‒", "     `-᾿", "    /   \\" ]; break; // Sunny
    case 801: out = [ "   \\  /", " _ /\"\".-.", "   \\_(   ).", "   /(___(__)", "" ]; break; // PartlyCloudy
    case 802: out = [ "", "     .--.", "  .-(    ).", " (___.__)__)", "" ]; break; // Cloudy
    case 803: case 804: out = [ "", "     .--.", "  .-(    ).", " (___.__)__)", "" ]; break; // VeryCloudy
    default: out = ["    .-.", "     __)", "    (", "     `-᾿", "      •"]; break; // not found
  }
  return out;
};
