import fetch from "flumm-fetch-cookies";

export default async bot => {
  return [{
    name: "randomcat",
    call: /^(\.|\/)ka(tz|ds)(.*)$/i,
    f: async e => {
      const katz = await (await fetch("https://api.thecatapi.com/v1/images/search?size=full")).json();
      return e.reply(katz[0]['url']);
    }
  }, {
    name: "randomdoggo",
    call: /^(\.|\/)dog(go)?(.*)$/i,
    f: async e => {
      const doggo = await (await fetch("https://api.thedogapi.com/v1/images/search?size=full")).json();
      return e.reply(doggo[0]['url']);
    }
  }, {
    name: "randommeme",
    call: /^(\.|\/)meme(.*)$/i,
    f: async e => {
      const meme = await (await fetch("https://meme-api.herokuapp.com/gimme")).json();
      if(meme.nsfw)
        return e.reply("ups, dieses Meme wäre nsfw gewesen.");
      return e.reply(meme.url);
    }
  }, {
    name: "randomvieh",
    call: /^(\.|\/)(otter|bunny)$/i,
    f: async e => {
      const vieh = await (await fetch(`https://api.tinyfox.dev/img?animal=${e.cmd}&json`)).json();
      return e.reply(`https://api.tinyfox.dev${vieh.loc}`);
    }
  }]
};
