import fetch from "flumm-fetch-cookies";

const link = "https://esoserverstatus.net/";
const regex = {
  main: /<div class=\"list-group-item\">(.*?)<\/div>/sg,
  info: /<b>\[(?<platform>.*)\] (?<server>.*)<\/b>.*<b>(?<status>.*)<\/b>/s
};

export default async bot => {
  
  return [{
    name: "eso",
    call: /^(\.|\/)eso/i,
    f: async e => {
      switch(e.args[0]) {
        default:
          const res = await (await fetch(link)).text();
          const matches = res.match(regex.main);
          const info = matches.map(match => {
            const tmp = match.match(regex.info).groups;
            return `[${tmp.platform}] ${tmp.server} ${tmp.status}`;
          });
          e.reply(info);
        break;
      }
    }
  }];
};
