const dict = {
  ft1: [...
    " ".repeat(48) + "𝟘𝟙𝟚𝟛𝟜𝟝𝟞𝟟𝟠𝟡" +
    " ".repeat(7) + "𝔸𝔹ℂ𝔻𝔼𝔽𝔾ℍ𝕀𝕁𝕂𝕃𝕄ℕ𝕆ℙℚℝ𝕊𝕋𝕌𝕍𝕎𝕏𝕐ℤ" +
    " ".repeat(6) +  "𝕒𝕓𝕔𝕕𝕖𝕗𝕘𝕙𝕚𝕛𝕜𝕝𝕞𝕟𝕠𝕡𝕢𝕣𝕤𝕥𝕦𝕧𝕨𝕩𝕪𝕫"
  ],
  ft2: [...
    " ".repeat(48) + "𝟢𝟣𝟤𝟥𝟦𝟧𝟨𝟩𝟪𝟫" +
    " ".repeat(7) + "𝒜𝐵𝒞𝒟𝐸𝐹𝒢𝐻𝐼𝒥𝒦𝐿𝑀𝒩𝒪𝒫𝒬𝑅𝒮𝒯𝒰𝒱𝒲𝒳𝒴𝒵" +
    " ".repeat(6) +  "𝒶𝒷𝒸𝒹𝑒𝒻𝑔𝒽𝒾𝒿𝓀𝓁𝓂𝓃𝑜𝓅𝓆𝓇𝓈𝓉𝓊𝓋𝓌𝓍𝓎𝓏"
  ],
  ft3: [...
    " ".repeat(48) + "0123456789" +
    " ".repeat(7) + "𝔄𝔅ℭ𝔇𝔈𝔉𝔊ℌℑ𝔍𝔎𝔏𝔐𝔑𝔒𝔓𝔔ℜ𝔖𝔗𝔘𝔙𝔚𝔛𝔜ℨ" +
    " ".repeat(6) +  "𝔞𝔟𝔠𝔡𝔢𝔣𝔤𝔥𝔦𝔧𝔨𝔩𝔪𝔫𝔬𝔭𝔮𝔯𝔰𝔱𝔲𝔳𝔴𝔵𝔶𝔷"
  ],
  ft4: [...
    " ".repeat(48) + "⓪①②③④⑤⑥⑦⑧⑨" +
    " ".repeat(7) + "ⒶⒷⒸⒹⒺⒻⒼⒽⒾⒿⓀⓁⓂⓃⓄⓅⓆⓇⓈⓉⓊⓋⓌⓍⓎⓏ" +
    " ".repeat(6) +  "ⓐⓑⓒⓓⓔⓕⓖⓗⓘⓙⓚⓛⓜⓝⓞⓟⓠⓡⓢⓣⓤⓥⓦⓧⓨⓩ"
  ]
};
export default async bot => {
  
  return [{
    name: "fancytext",
    call: /^(\.|\/)ft/i,
    f: async e => {
      const mode = +e.cmd.substring(2) || 1;
      if(!dict[`ft${mode}`])
        return;
      e.reply(
        [...e.args.join(" ")].map(e =>
          dict[`ft${mode}`][e.charCodeAt(0)] !== " " ? dict[`ft${mode}`][e.charCodeAt(0)] : e).join``
      );
    }
  }, {
    name: "blah",
    call: /^[A-ZÄÖÜẞ](?: [A-ZÄÖÜẞ]){1,5}$/,
    set: "uwe",
    clients: ["irc"],
    f: e => {
      const args = e.message.trim();
      if (args.toUpperCase() === args) e.reply(args.substring(2).split(" "));
    }
  }, {
    name: "fw",
    call: /^(\.|\/)fw .*/i,
    set: "nxy",
    f: e => {
      e.reply([...e.args.join(" ").toUpperCase()].map(c => c === ' ' ? '  ' : String.fromCharCode(65248 + c.charCodeAt(0))).join``);
    }
  }, {
    name: "mock",
    call: /^\.mock .*/i,
    set: "uwe",
    f: e => {
      e.reply([...e.args.join(" ")].map(l => (l === " ") ? " " : (Math.round(Math.random()) === 0) ? l.toUpperCase() : l.toLowerCase()).join``);
    }
  }];
};
